Subject: bug#66936: closed (Re: [PATCH] gnu: wine-staging: Update to 8.18.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Dec 2023 11:35:03 +0000

Your bug report

#66936: [PATCH] gnu: wine-staging: Update to 8.18.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66936: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66936
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: wine-staging: Update to 8.18.
From: Liliana Marie Prikler <[email-masked]>
To: Kaelyn <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 31 Dec 2023 12:34:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Samstag, dem 09.12.2023 um 18:11 +0000 schrieb Kaelyn:
> I'm sending a v2 of the patch rebased against current master, with
> bash removed from the wine-staging-patchset-data native-inputs and
> the commit message expanded with your suggestions (plus noting the
> bash removal).
I sadly didn't receive the v2, so I'm commenting here instead.

I've pushed both this and the removal of dxvk now.

Thanks

Subject: [PATCH] gnu: wine-staging: Update to 8.18.
From: Kaelyn Takata <[email-masked]>
To: [email-masked]
Cc: Kaelyn Takata <[email-masked]>
Date: Sat, 04 Nov 2023 20:03:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/wine.scm (wine-staging): Update to 8.18.

Change-Id: Ie71ed785c1e821b1d1752e46b3da11809b4331e5
---
 gnu/packages/wine.scm | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/wine.scm b/gnu/packages/wine.scm
index 400f0e7607..ca06e264dc 100644
--- a/gnu/packages/wine.scm
+++ b/gnu/packages/wine.scm
@@ -304,7 +304,7 @@ (define-public wine64
 (define-public wine-staging-patchset-data
   (package
     (name "wine-staging-patchset-data")
-    (version "8.0")
+    (version "8.18")
     (source
      (origin
        (method git-fetch)
@@ -313,7 +313,7 @@ (define-public wine-staging-patchset-data
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "11q9fa1jdrv1pd9piaicgqvidq1c08imkwpqhyzcj5r711rl7581"))))
+        (base32 "0qabyw5139xdfsvzbwbrn1nnqssgwk8mn88mxnq2cdkk9gbjvq56"))))
     (build-system trivial-build-system)
     (native-inputs
      (list bash coreutils))
@@ -330,10 +330,7 @@ (define-public wine-staging-patchset-data
                 (wine-staging (string-append out "/share/wine-staging")))
            (copy-recursively source build-directory)
            (with-directory-excursion build-directory
-             (substitute* "patches/patchinstall.sh"
-               (("/bin/sh")
-                (string-append bash "/bin/sh")))
-             (substitute* "patches/gitapply.sh"
+             (substitute* '("patches/gitapply.sh" "staging/patchinstall.py")
                (("/usr/bin/env")
                 (string-append coreutils "/bin/env"))))
            (copy-recursively build-directory wine-staging)
@@ -363,7 +360,7 @@ (define-public wine-staging
                              "wine-" wine-version ".tar.xz"))
          (file-name (string-append name "-" wine-version ".tar.xz"))
          (sha256
-          (base32 "0bkr3klvjy8h4djddr31fvapsi9pc2rsiyhaa7j1lwpq704w4wh2")))))
+          (base32 "1nv06awb3hv26v64nqnks9yiz7w368scxznj77vxa3zpmhafzyih")))))
     (inputs (modify-inputs (package-inputs wine)
               (prepend autoconf ; for autoreconf
                        ffmpeg
@@ -373,6 +370,9 @@ (define-public wine-staging
                        python
                        util-linux ; for hexdump
                        wine-staging-patchset-data)))
+    (native-inputs
+     (modify-inputs (package-native-inputs wine)
+       (prepend python-3)))
     (arguments
      (substitute-keyword-arguments (package-arguments wine)
        ((#:phases phases)
@@ -382,7 +382,7 @@ (define-public wine-staging
               (lambda* (#:key inputs #:allow-other-keys)
                 (invoke (search-input-file
                          inputs
-                         "/share/wine-staging/patches/patchinstall.sh")
+                         "/share/wine-staging/staging/patchinstall.py")
                         "DESTDIR=."
                         "--all")))
             (add-after 'apply-wine-staging-patches 'patch-SHELL
@@ -417,7 +417,7 @@ (define-public wine64-staging
               (lambda* (#:key inputs #:allow-other-keys)
                 (invoke (search-input-file
                          inputs
-                         "/share/wine-staging/patches/patchinstall.sh")
+                         "/share/wine-staging/staging/patchinstall.py")
                         "DESTDIR=."
                         "--all")))
             (add-after 'apply-wine-staging-patches 'patch-SHELL

base-commit: e3f318f0489322c4c9b5964f03a8b063a7bfbebd
-- 
2.41.0